Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::PreferenceManager Class Reference

Class to manage preference Singleton class to load/store preference need by Tulip. More...

`#include <PreferenceManager.h>`

Collaboration diagram for tlp::PreferenceManager:
[legend]

List of all members.

## Public Member Functions

- void setNetworkConnection (bool connection)
- bool getNetworkConnection ()
- void setSelectionColor (const Color &color)
- const Color & getSelectionColor ()
- void setAutoLoadController (bool autoLoad)
- bool getAutoLoadController ()
- bool getUseSpecificMetric () const
- void setUseSpecificMetric (bool f)

## Static Public Member Functions

- static void createInst ()
- static PreferenceManager & getInst ()

## Detailed Description

Class to manage preference Singleton class to load/store preference need by Tulip.

## Member Function Documentation

static void tlp::PreferenceManager::createInst | ( |  | ) | `[static]`

Create the preference manager singleton

bool tlp::PreferenceManager::getAutoLoadController | ( |  | ) | `[inline]`

Get if tulip auto load controller

static PreferenceManager& tlp::PreferenceManager::getInst | ( |  | ) | `[inline, static]`

Return the pereference manager singleton, il singleton doesn't exist this function create it

bool tlp::PreferenceManager::getNetworkConnection | ( |  | ) | `[inline]`

Get if tulip auto connect at startup

const Color& tlp::PreferenceManager::getSelectionColor | ( |  | ) | `[inline]`

Get color for selection

bool tlp::PreferenceManager::getUseSpecificMetric | ( |  | ) | const`[inline]`

void tlp::PreferenceManager::setAutoLoadController | ( | bool | autoLoad | ) | `[inline]`

Set if tulip auto load controller

void tlp::PreferenceManager::setNetworkConnection | ( | bool | connection | ) | `[inline]`

Set if tulip auto connect at startup

void tlp::PreferenceManager::setSelectionColor | ( | const Color & | color | ) | `[inline]`

Set color for selection

void tlp::PreferenceManager::setUseSpecificMetric | ( | bool | f | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012